<div class="page-login">
  <div class="container">
    <form #form [formGroup]="loginForm" class="form-signin panel panel-default" (submit)=login(form)>
      <h3 class="form-signin-heading">Bienvenido a Gesti&oacute;n de Riesgos</h3>
      <hr>
      <div *ngIf="error" [ngClass]="[ALERTDANGER]" role="alert">
        <button type="button" class="close" aria-label="Close" (click)="error = ''">
          <span aria-hidden="true">&times;</span>
        </button>
        {{error}}
      </div>

      <div class="form-group">
        <input formControlName="username" [(ngModel)]="usuario.username" type="text"
          class="form-control" id="usuario" maxlength="16" name="username" aria-describedby="Usuario"
          placeholder="Usuario"
          [ngClass]="{ 'is-invalid ': submitted && formControlsLogin.username.errors}"
          required>
        <div *ngIf="submitted && formControlsLogin.username.errors" class="help-block col-12">
          <div *ngIf="formControlsLogin.username.errors.required"> <small id="usuarioHelp"
              class="red form-text col-12 nonePadding">Usuario es requerido.</small></div>
        </div>
      </div>

      <div class="form-group">
        <input [(ngModel)]="usuario.password" formControlName="password" type="password"
        class="form-control" maxlength="16" id="password" aria-describedby="password" placeholder="Contraseña"
        [ngClass]="{ 'is-invalid': submitted && formControlsLogin.password.errors}"
        required>
      <div *ngIf="submitted && formControlsLogin.password.errors" class="help-block col-12">
        <div *ngIf="formControlsLogin.password.errors.required"> <small id="passwordHelp"
            class="red form-text col-12 nonePadding">Constraseña es requerido.</small></div>
      </div>
      </div>

      <!-- CAPTCHA-->
      <div *ngIf="intentosLoggin >= 2" class="form-group">
        <div id="myCaptcha"></div>
      </div>
      <!--FIN CAPTCHA-->

      <button class="btn btn-primary btn-block" type='submit'>Ingresar</button>
      <hr>

      <a href="http://www.isslapampa.gov.ar/sempre-inicio/" target="_blank">
        <img width="50%" src="http://www.isslapampa.gov.ar/wp-content/uploads/2019/05/logocabecera50años.png" class="img-responsive">
      </a>
      <hr class="alt2" />
      <a href="http://www.conexia.com" target="_blank">
        <img src="assets/images/conexia.png" class="img-responsive">
      </a>

    </form>
  </div>
</div>